cURL
curl -X GET "$EXSITED_BASE_URL/api/v4/items/ITEM-0001/notes?limit=20" \
-H "Authorization: Bearer $ACCESS_TOKEN"from exsited import build_client
client = build_client()
response = client.items.get_item_notes("ITEM-0001", {"limit": 20})
print(response.data)
import {buildClient} from 'exsited';
const client = await buildClient();
const response = await client.items.getItemNotes('ITEM-0001', {limit: 20});
console.log(response.data);
use Exsited\Client\ClientRegistry;
$client = ClientRegistry::buildClient();
$response = $client->items->getItemNotes('ITEM-0001', ['limit' => 20]);
print_r($response->data);
import com.exsited.client.ApiResponse;
import com.exsited.client.ClientRegistry;
import com.exsited.client.ExsitedClient;
import com.exsited.resources.items.items_dto.ItemsDto.NoteList;
import java.util.Map;
ExsitedClient client = ClientRegistry.buildClient();
ApiResponse<NoteList> response = client.items().getItemNotes("ITEM-0001", Map.of("limit", 20));
System.out.println(response.getMap());
using Exsited.Client;
await using var client = ExsitedClient.BuildClient();
var response = await client.Items.GetItemNotesAsync(
"ITEM-0001",
new Dictionary<string, object?> { ["limit"] = 20 });
Console.WriteLine(response.Json);
import 'package:exsited/exsited.dart';
final client = buildClient();
final response = await client.items.getItemNotes(
'ITEM-0001',
queryParams: {'limit': 20},
);
print(response.map);
import (
"context"
"fmt"
"log"
exsited "github.com/exsited/exsited-sdk-go/v4"
)
client, err := exsited.BuildClient(nil)
if err != nil {
log.Fatal(err)
}
defer client.Close()
response, err := client.Items().GetItemNotes(context.Background(), "ITEM-0001", map[string]any{"limit": 20}, nil)
if err != nil {
log.Fatal(err)
}
fmt.Println(response.Map)
{
"object": "<string>",
"url": "<string>",
"data": [
{
"object": "<string>",
"id": "<string>",
"content": "<string>",
"version": 123,
"href": "<string>",
"created_on": "<string>",
"created_by": {
"object": "<string>",
"name": "<string>",
"id": "<string>",
"email": "<string>",
"href": "<string>"
},
"item": {
"object": "<string>",
"id": "<string>",
"name": "<string>",
"href": "<string>"
},
"attachments": [
{
"object": "<string>",
"id": "<string>",
"name": "<string>",
"href": "<string>",
"content_type": "<string>",
"filename": "<string>",
"size": 123,
"uuid": "<string>"
}
],
"watchers": [
{
"email": "<string>",
"name": "<string>",
"type": "<string>"
}
],
"group": "<unknown>",
"user": "<unknown>",
"last_updated_on": "<string>",
"last_updated_by": {
"name": "<string>",
"object": "<string>"
}
}
],
"pagination": {
"limit": 123,
"has_more": true,
"next_cursor": "<string>",
"prev_cursor": "<string>",
"links": {
"next": "<string>",
"prev": "<string>"
}
}
}Items
List an item's notes
Returns a page of the notes on an item.
GET
/
items
/
{item_id}
/
notes
cURL
curl -X GET "$EXSITED_BASE_URL/api/v4/items/ITEM-0001/notes?limit=20" \
-H "Authorization: Bearer $ACCESS_TOKEN"from exsited import build_client
client = build_client()
response = client.items.get_item_notes("ITEM-0001", {"limit": 20})
print(response.data)
import {buildClient} from 'exsited';
const client = await buildClient();
const response = await client.items.getItemNotes('ITEM-0001', {limit: 20});
console.log(response.data);
use Exsited\Client\ClientRegistry;
$client = ClientRegistry::buildClient();
$response = $client->items->getItemNotes('ITEM-0001', ['limit' => 20]);
print_r($response->data);
import com.exsited.client.ApiResponse;
import com.exsited.client.ClientRegistry;
import com.exsited.client.ExsitedClient;
import com.exsited.resources.items.items_dto.ItemsDto.NoteList;
import java.util.Map;
ExsitedClient client = ClientRegistry.buildClient();
ApiResponse<NoteList> response = client.items().getItemNotes("ITEM-0001", Map.of("limit", 20));
System.out.println(response.getMap());
using Exsited.Client;
await using var client = ExsitedClient.BuildClient();
var response = await client.Items.GetItemNotesAsync(
"ITEM-0001",
new Dictionary<string, object?> { ["limit"] = 20 });
Console.WriteLine(response.Json);
import 'package:exsited/exsited.dart';
final client = buildClient();
final response = await client.items.getItemNotes(
'ITEM-0001',
queryParams: {'limit': 20},
);
print(response.map);
import (
"context"
"fmt"
"log"
exsited "github.com/exsited/exsited-sdk-go/v4"
)
client, err := exsited.BuildClient(nil)
if err != nil {
log.Fatal(err)
}
defer client.Close()
response, err := client.Items().GetItemNotes(context.Background(), "ITEM-0001", map[string]any{"limit": 20}, nil)
if err != nil {
log.Fatal(err)
}
fmt.Println(response.Map)
{
"object": "<string>",
"url": "<string>",
"data": [
{
"object": "<string>",
"id": "<string>",
"content": "<string>",
"version": 123,
"href": "<string>",
"created_on": "<string>",
"created_by": {
"object": "<string>",
"name": "<string>",
"id": "<string>",
"email": "<string>",
"href": "<string>"
},
"item": {
"object": "<string>",
"id": "<string>",
"name": "<string>",
"href": "<string>"
},
"attachments": [
{
"object": "<string>",
"id": "<string>",
"name": "<string>",
"href": "<string>",
"content_type": "<string>",
"filename": "<string>",
"size": 123,
"uuid": "<string>"
}
],
"watchers": [
{
"email": "<string>",
"name": "<string>",
"type": "<string>"
}
],
"group": "<unknown>",
"user": "<unknown>",
"last_updated_on": "<string>",
"last_updated_by": {
"name": "<string>",
"object": "<string>"
}
}
],
"pagination": {
"limit": 123,
"has_more": true,
"next_cursor": "<string>",
"prev_cursor": "<string>",
"links": {
"next": "<string>",
"prev": "<string>"
}
}
}Returns the item’s notes under
data, each with its content, attachments and watchers. The listing pages by cursor.
The SDK samples get their client from credentials your app registers once when it starts, as shown in Authentication. To try the call here, click Try it, set
host to your Exsited API host name and paste an access token from Get an access token.Authorizations
An access token from POST /api/v4/oauth2/token. The SDKs get and renew it for you.
Path Parameters
The item's id, such as ITEM-0001. Not its uuid.
Query Parameters
How many records to return on one page.
Example:
20
The next_cursor from the previous page, to fetch the page after it.